import { Redis } from 'ioredis';
import { ReadStream, IReadableStreamOptions } from 'bluestream';
export interface ScanStreamOptions {
    key?: string;
    match?: string;
    count?: string | number;
}
interface ScanStreamConstructorOptions extends IReadableStreamOptions, ScanStreamOptions {
    redis: Redis;
    command: 'scan' | 'sscan' | 'hscan' | 'zscan' | 'scanBuffer' | 'sscanBuffer' | 'hscanBuffer' | 'zscanBuffer';
}
export declare class ScanStream extends ReadStream {
    private _redis;
    private _command;
    private _opts;
    private _nextCursor;
    private _key;
    private _match;
    private _count;
    constructor({ redis, command, key, match, count, ...opts }: ScanStreamConstructorOptions);
    _read(): Promise<void>;
}
export {};
